#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_GiantSharkRankingData
{
	//ID
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具列表，填写M_ItemCFG中的道具ID
	std::vector<int> mRewardList;
	//上榜限制
	int mLimit;
};

class Fish_GiantSharkRanking
{
public:
private:
	static std::auto_ptr<Fish_GiantSharkRanking> msSingleton;
public:
	int GetCount();
	const Fish_GiantSharkRankingData* GetData(int ID);
	boost::unordered_map<int, Fish_GiantSharkRankingData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_GiantSharkRanking* GetSingleton();
private:
	boost::unordered_map<int, Fish_GiantSharkRankingData> mMapData;
};
